<?php
/**
* GOLDENFORMS version 1.0
* Copyright (c) 2012 Max @ GoldenForms.com, All rights reserved.
* Author: Max (GoldenForms.com)
* @license		GNU/GPL
* Visit http://www.GoldenForms.com for regular updates and information.
**/
Class GFCheckCaptcha {
	function execute($form, $config = array(), $action_id = null){
		$config = new JParameter($config);
		if((bool)$config->get('enabled', 0) === false){
			return;
		}
		if(GfRequest::request('gcaptcha', null)){
			if(!session_id()){
				session_start();
			}
			$sessionvar = $_SESSION['gcaptcha'];
			$postvar = strtolower($form->data('gcaptcha'));
			if(md5($postvar) != $sessionvar){				
				$form->stop = true;
				$form->errors['gcaptcha'] = $config->get('error', 'You have entered a wrong verification code!');
				$form->data['gcaptcha'] = '';
				//load the load event
				$form->goto = 'load';
			}else{
				unset($_SESSION['gcaptcha']);
			}
		}else{
			$form->stop = true;
			$form->goto = 'load';
			$form->errors['gcaptcha'] = $config->get('error', 'You have entered a wrong verification code!');
		}
	}
	
	function config(){
		$HtmlHelper = new HtmlHelper();
		echo $HtmlHelper->input('config[check_captcha][{N}][enabled]', array('type' => 'select', 'label' => 'Enabled', 'options' => array(0 => 'No', 1 => 'Yes'), 'smalldesc' => 'Enable the core captcha processing, please use{gcaptcha} in your form code to display the image, and add a field with name="gcaptcha" to enter the code.'));
		echo $HtmlHelper->input('config[check_captcha][{N}][error]', array('type' => 'text', 'label' => 'Error', 'class' => 'big_input', 'default' => 'You have entered a wrong verification code!', 'smalldesc' => 'The error message displayed when a wrong code is entered.'));
		
	}
}