<?php
/**
* GOLDENFORMS version 1.0
* Copyright (c) 2012 Max @ GoldenForms.com, All rights reserved.
* Author: Max (GoldenForms.com)
* @license		GNU/GPL
* Visit http://www.GoldenForms.com for regular updates and information.
**/
class GfDb {
	var $gf_table = '';

	function GfDb(){
		global $wpdb;
		$this->gf_table = $wpdb->prefix.'goldenforms';
	}
	
	function goldenforms_install(){
		global $wpdb;
		$sql = "CREATE TABLE IF NOT EXISTS `".$this->gf_table."` (
			`id` int(11) NOT NULL AUTO_INCREMENT,
			`name` varchar(255) NOT NULL,
			`form_type` tinyint(1) NOT NULL,
			`content` longtext NOT NULL,
			`extras` longtext NOT NULL,
			`config` longtext NOT NULL,
			`wizardcode` longtext,
			`events_actions_map` longtext,
			`params` longtext NOT NULL,
			`published` tinyint(1) NOT NULL DEFAULT '1',
			`app` varchar(100) NOT NULL DEFAULT '',
			PRIMARY KEY (`id`))";
		require_once(ABSPATH.'wp-admin/includes/upgrade.php');
		dbDelta($sql);
		
		global $GoldenForms_DBV;
		add_option("GoldenForms_DBV", $GoldenForms_DBV);
	}	
	
}