<?php
/**
* GOLDENFORMS version 1.0
* Copyright (c) 2012 Max @ GoldenForms.com, All rights reserved.
* Author: Max (GoldenForms.com)
* @license		GNU/GPL
* Visit http://www.GoldenForms.com for regular updates and information.
**/
class Base64String{
	var $base = array();
	
	function __construct($string = ''){
		$this->setBase($string);
	}
	
	function get($k, $v = null){
		if(isset($this->base[$k])){
			return base64_decode($this->base[$k]);
		}else{
			return $v;
		}
	}
	
	function extract(){
		foreach($this->base as $k => $v){
			$this->base[$k] = base64_decode($this->base[$k]);
		}
		return $this->base;
	}
	
	function set($k, $v){
		$this->base[$k] = base64_encode($v);
	}
	
	function setBase($string = ''){
		if(strlen(trim(($string))) > 0){
			$data = unserialize($string);
			$this->base = $data;
		}else{
			$this->base = array();
		}
	}
	
	function toString(){
		return serialize($this->base);
	}
}