<?php
	wp_enqueue_script( 'jquery' );
	wp_enqueue_script( 'jquery-ui-core' );
	wp_enqueue_script( 'jquery-ui-tabs' );
?>

<script type="text/javascript" charset="utf8" >
	jQuery(document).ready(function($) {
		$("#details-panel").tabs();
	});
</script>

<?php
	include_once(GOLDENFORMS_PATH.'helpers'.DS.'html_helper.php');
	$HtmlHelper = new HtmlHelper();
	$HtmlHelper->data = $settings_data;
?>

<form action="admin.php?page=golden-forms-settings" method="post" name="adminForm" id="adminForm">
	<div class="buttons" style="text-align:right;">
		<input type="submit" value="Save" name="button_action" class="button-primary" style="min-width:50px;" />
		<input type="submit" value="Apply" name="button_action" class="button button-highlighted" style="min-width:50px;" />
	</div>
	
	<div id="details-panel">
		<ul>
			<li><a href="#general">General Settings</a></li>
		</ul>
		<div id="general">
			<?php echo $HtmlHelper->input('smtp', array('type' => 'select', 'label' => 'Enable SMTP', 'options' => array(0 => 'No', 1 => 'Yes'), 'default' => 0)); ?>
			<?php echo $HtmlHelper->input('smtp_server', array('type' => 'text', 'label' => 'SMTP Server', 'class' => 'big_input')); ?>
			<?php echo $HtmlHelper->input('smtp_port', array('type' => 'text', 'label' => 'SMTP Port', 'class' => 'medium_input')); ?>
			<?php echo $HtmlHelper->input('smtp_username', array('type' => 'text', 'label' => 'SMTP Username', 'class' => 'medium_input')); ?>
			<?php echo $HtmlHelper->input('smtp_password', array('type' => 'text', 'label' => 'SMTP Password', 'class' => 'medium_input')); ?>
				
		</div>		
	</div>
</form>