<?php
/**
* GOLDENFORMS version 1.0
* Copyright (c) 2012 Max @ GoldenForms.com, All rights reserved.
* Author: Max (GoldenForms.com)
* @license		GNU/GPL
* Visit http://www.GoldenForms.com for regular updates and information.
**/
Class GFHtml {
	function execute($form, $config = array(), $action_id = null){
		ob_start();
		eval('?>'.$form->content);
		$output = ob_get_clean();
		global $wp;
		$current_url = add_query_arg($wp->query_string, '', home_url('/'.$wp->request));
		//add any CSS or JS to the head
		GFHtml::add_css($form);
		GFHtml::add_js($form);
		//generate form open tag
		$form_tag = '<form';
		//get action
		$url_separator = (strpos($current_url, '?') === false) ? '?' : '&';
		$form_action = (strlen($form->params->get('action_url', '')) > 0) ? $form->params->get('action_url', '') : $current_url.$url_separator.'gftask=submit';
		$form_tag .= ' action="'.$form_action.'"';
		//get method
		$form_method = $form->params->get('form_method', 'post');
		if($form->params->get('form_method', 'post') == 'file'){
			$form_tag .= ' enctype="multipart/form-data"';
			$form_method = 'post';
		}
		$form_tag .= ' method="'.$form_method.'"';
		$form_tag .= ' name="'.$form->name.'"';
		$form_tag .= ' id="'.$form->name.'"';
		$form_tag .= ' class="'.$form->params->get('form_class', 'golden_form').'"';
		if($form->params->get('form_tag_attach', '')){
			$form_tag .= $form->params->get('form_tag_attach', '');
		}

		$form_tag .= '>';

		echo $form_tag;

		echo $output;
		echo '</form>';
	}
	
	function add_css($form){
		if(!empty($form->extras['css'])){
			echo '
			<style type="text/css" media="screen">
			'.$form->extras['css'].'
			</style>
			';
		}
	}
	
	function add_js($form){
		if(!empty($form->extras['js'])){
			echo '
			<script type="text/javascript">
			//<![CDATA[
			'.$form->extras['js'].'
			//]]>
			</script>
			';
		}
	}
}
//GFHtml::execute();