<?php
/**
* GOLDENFORMS version 1.0
* Copyright (c) 2012 Max @ GoldenForms.com, All rights reserved.
* Author: Max (GoldenForms.com)
* @license		GNU/GPL
* Visit http://www.GoldenForms.com for regular updates and information.
**/
class JParameter{
	var $params = null;
	
	function __construct($string = ''){
		if(is_array($string)){
			$this->params = (object)$string;
		}else{
			$this->setParams($string);
		}
	}
	
	function get($k, $v = null){
		if(isset($this->params->$k)){
			return $this->params->$k;
		}else{
			return $v;
		}
	}
	
	function set($k, $v){
		$this->params->$k = $v;
	}
	
	function setParams($string = ''){
		if(strlen(trim(($string))) > 0){
			$data = json_decode($string);
			$this->params = $data;
		}else{
			$this->params = new stdClass();
		}
	}
	
	function toString(){
		return json_encode($this->params);
	}
}